Download it now!
Bug 130197 - Paragraph Sidebar SpinButton width
Summary: Paragraph Sidebar SpinButton width
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2020-01-25 19:51 UTC by andreas_k
Modified: 2020-06-29 16:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sidebar width (86.57 KB, image/png)
2020-01-25 19:51 UTC, andreas_k
Details
Sidebar Table (81.21 KB, image/png)
2020-01-25 19:55 UTC, andreas_k
Details
paragraph width border = 6 "missing" (66.14 KB, image/png)
2020-01-31 23:13 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-01-25 19:51:04 UTC
Created attachment 157426 [details]
sidebar width

in sidebarparagraph.ui file the GtkSpinButton
- aboveparaspacing
- belowparaspacing
- beforetextindent
- aftertextindent
- firstlineindent

are smaller than they should be which result into problems at sidebar width.

As sidebarparagraph is the widest sidebar AND the default sidebar (in writer) all other sidebar widgets follow the size of the default one, so if the sidebarparagraph.ui wasn't shrinked all other widths will be easier to fit.
Comment 1 andreas_k 2020-01-25 19:55:41 UTC
Created attachment 157428 [details]
Sidebar Table

As you can see here the table sidebar didn't fit into the width cause the width size come from paragraph sidebar cause it's open by default. So if the width of paragraph was the largest or at least not shrinked, it will be easier to fit all widgets.
Comment 2 Caolán McNamara 2020-01-26 20:10:34 UTC
I take your point on the paragraph panel effectively setting the default width that other panels should be less than or equal to that to make it possible to align things between panels.

I don't think the spinbuttons are the true source of the problem, more the toolbox widths. Here's what I suggest...

a) The table "misc" toolbox is 2 GtkMenuToggleButtons and one GtkToggleButton wide that's about 5 standard toolbox buttons in width in gtk3
b) The paragraph top line of toolbars is about 9 toolbox buttons in width

If each of the columns in the two panels was 5 toolbox buttons in width they would align with eachother. So with https://gerrit.libreoffice.org/c/core/+/87462 I assign "indent" in sidebarparagraph.ui and "split_merge" in sidebartableedit.ui a width as if they had 5 toolbuttonsin them and that seems to give a good result.
Comment 3 Commit Notification 2020-01-27 08:54:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/37f5f9896449c6e2cb9aa481f004cd887672d2ed

tdf#130197 give paragraph and table panels column widths of 5 toolbutton widths

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 andreas_k 2020-01-31 23:13:04 UTC
Created attachment 157573 [details]
paragraph width border = 6 "missing"

I only have an windows daily build. There it look now really good, if the border would be respected it would be perfect.
Comment 5 Caolán McNamara 2020-02-03 14:41:32 UTC
the "style" and "character" panels are not converted to the new scheme yet, when they are it should be possible to also set them to use the same width based on the same no of toolitems and then hopefully they will align